
import "Delone.LockSlots";

lockslots = pagedSlotsWindow();

ls1Command = Turbine.ShellCommand();

function ls1Command:Execute( command, arguments )
	if ( arguments == "s" ) then
		lockslots:SetVisible( true );
	elseif ( arguments == "h" ) then
		lockslots:SetVisible( false );
	elseif ( arguments == "t" ) then
		lockslots:SetVisible( not lockslots:IsVisible() );
	elseif ( arguments ~= nil ) then
		ls1Command:GetHelp();
	end
end

function ls1Command:GetHelp()
	Turbine.Shell.WriteLine( "\nLock Slots\n\nls1 s: Show the LockSlots");
	Turbine.Shell.WriteLine( "ls1 h: Hides the LockSlots");
	Turbine.Shell.WriteLine( "ls1 t: Toggle the LockSlots");
end

Turbine.Shell.AddCommand( "ls1", ls1Command );

