
import "Delone.LockSlots2";

lockslots2 = pagedSlotsWindow();

ls2Command = Turbine.ShellCommand();

function ls2Command:Execute( command, arguments )
	if ( arguments == "s" ) then
		lockslots2:SetVisible( true );
	elseif ( arguments == "h" ) then
		lockslots2:SetVisible( false );
	elseif ( arguments == "t" ) then
		lockslots2:SetVisible( not lockslots2:IsVisible() );
	elseif ( arguments ~= nil ) then
		ls2Command:GetHelp();
	end
end

function ls2Command:GetHelp()
	Turbine.Shell.WriteLine( "\nLock Slots2\n\nls2 s: Show the LockSlots2");
	Turbine.Shell.WriteLine( "ls2 h: Hides the LockSlots2");
	Turbine.Shell.WriteLine( "ls2 t: Toggle the LockSlots2");
end

Turbine.Shell.AddCommand( "ls2", ls2Command );

