
import "Delone.LockSlots3";

lockslots3 = pagedSlotsWindow();

ls3Command = Turbine.ShellCommand();

function ls3Command:Execute( command, arguments )
	if ( arguments == "s" ) then
		lockslots3:SetVisible( true );
	elseif ( arguments == "h" ) then
		lockslots3:SetVisible( false );
	elseif ( arguments == "t" ) then
		lockslots3:SetVisible( not lockslots3:IsVisible() );
	elseif ( arguments ~= nil ) then
		ls3Command:GetHelp();
	end
end

function ls3Command:GetHelp()
	Turbine.Shell.WriteLine( "\nLock Slots3\n\nls3 s: Show the LockSlots3");
	Turbine.Shell.WriteLine( "ls3 h: Hides the LockSlots3");
	Turbine.Shell.WriteLine( "ls3 t: Toggle the LockSlots3");
end

Turbine.Shell.AddCommand( "ls3", ls3Command );

